Fedora 7 : wordpress-2.3.3-0.fc7 (2008-1512)

2008-02-14T00:00:00
ID FEDORA_2008-1512.NASL
Type nessus
Reporter This script is Copyright (C) 2008-2019 and is owned by Tenable, Inc. or an Affiliate thereof.
Modified 2019-11-02T00:00:00

Description

  • Fri Feb 8 2008 John Berninger <john at ncphotography dot com> - 2.3.3-0

    • update to 2.3.3 for security fixes - BZ 431547

    • Sun Dec 30 2007 Adrian Reber <adrian at lisas.de> - 2.3.2-1

    • updated to 2.3.2 (bz 426431, Draft Information Disclosure)

    • Tue Oct 30 2007 Adrian Reber <adrian at lisas.de> - 2.3.1-1

    • updated to 2.3.1 (bz 357731, wordpress XSS issue)

    • Mon Oct 15 2007 Adrian Reber <adrian at lisas.de> - 2.3-1

    • updated to 2.3

    • disabled wordpress-core-update

    • Tue Sep 11 2007 Adrian Reber <adrian at lisas.de> - 2.2.3-0

    • updated to 2.2.3 (security release)

    • Wed Aug 29 2007 John Berninger <john at ncphotography dot com> - 2.2.2-0

    • update to upstream 2.2.2

    • license tag update

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

                                        
                                            #%NASL_MIN_LEVEL 80502
#
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were  
# extracted from Fedora Security Advisory 2008-1512.
#

include("compat.inc");

if (description)
{
  script_id(31064);
  script_version ("1.15");
  script_cvs_date("Date: 2019/08/02 13:32:27");

  script_cve_id("CVE-2008-0664");
  script_bugtraq_id(27669);
  script_xref(name:"FEDORA", value:"2008-1512");

  script_name(english:"Fedora 7 : wordpress-2.3.3-0.fc7 (2008-1512)");
  script_summary(english:"Checks rpm output for the updated package.");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote Fedora host is missing a security update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"  - Fri Feb 8 2008 John Berninger &lt;john at ncphotography dot
    com&gt; - 2.3.3-0

    - update to 2.3.3 for security fixes - BZ 431547

    - Sun Dec 30 2007 Adrian Reber &lt;adrian at lisas.de&gt; -
      2.3.2-1

    - updated to 2.3.2 (bz 426431, Draft Information
      Disclosure)

    - Tue Oct 30 2007 Adrian Reber &lt;adrian at lisas.de&gt; -
      2.3.1-1

    - updated to 2.3.1 (bz 357731, wordpress XSS issue)

    - Mon Oct 15 2007 Adrian Reber &lt;adrian at lisas.de&gt; -
      2.3-1

    - updated to 2.3

    - disabled wordpress-core-update

    - Tue Sep 11 2007 Adrian Reber &lt;adrian at lisas.de&gt; -
      2.2.3-0

    - updated to 2.2.3 (security release)

    - Wed Aug 29 2007 John Berninger &lt;john at ncphotography
      dot com&gt; - 2.2.2-0

    - update to upstream 2.2.2

    - license tag update

Note that Tenable Network Security has extracted the preceding
description block directly from the Fedora security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues."
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.redhat.com/show_bug.cgi?id=431547"
  );
  # https://lists.fedoraproject.org/pipermail/package-announce/2008-February/007730.html
  script_set_attribute(
    attribute:"see_also",
    value:"http://www.nessus.org/u?9aad77c4"
  );
  script_set_attribute(
    attribute:"solution", 
    value:"Update the affected wordpress package."
  );
  script_set_cvss_base_vector("CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N");
  script_set_cvss_temporal_vector("CVSS2#E:U/RL:OF/RC:C");
  script_set_attribute(attribute:"exploitability_ease", value:"No known exploits are available");
  script_set_attribute(attribute:"exploit_available", value:"false");
  script_cwe_id(264);

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:fedoraproject:fedora:wordpress");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:fedoraproject:fedora:7");

  script_set_attribute(attribute:"patch_publication_date", value:"2008/02/13");
  script_set_attribute(attribute:"plugin_publication_date", value:"2008/02/14");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2008-2019 and is owned by Tenable, Inc. or an Affiliate thereof.");
  script_family(english:"Fedora Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/RedHat/release", "Host/RedHat/rpm-list");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("rpm.inc");

if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
release = get_kb_item("Host/RedHat/release");
if (isnull(release) || "Fedora" &gt;!&lt; release) audit(AUDIT_OS_NOT, "Fedora");
os_ver = eregmatch(pattern: "Fedora.*release ([0-9]+)", string:release);
if (isnull(os_ver)) audit(AUDIT_UNKNOWN_APP_VER, "Fedora");
os_ver = os_ver[1];
if (! ereg(pattern:"^7([^0-9]|$)", string:os_ver)) audit(AUDIT_OS_NOT, "Fedora 7.x", "Fedora " + os_ver);

if (!get_kb_item("Host/RedHat/rpm-list")) audit(AUDIT_PACKAGE_LIST_MISSING);

cpu = get_kb_item("Host/cpu");
if (isnull(cpu)) audit(AUDIT_UNKNOWN_ARCH);
if ("x86_64" &gt;!&lt; cpu && cpu !~ "^i[3-6]86$") audit(AUDIT_LOCAL_CHECKS_NOT_IMPLEMENTED, "Fedora", cpu);

flag = 0;
if (rpm_check(release:"FC7", reference:"wordpress-2.3.3-0.fc7")) flag++;


if (flag)
{
  if (report_verbosity &gt; 0) security_warning(port:0, extra:rpm_report_get());
  else security_warning(0);
  exit(0);
}
else
{
  tested = pkg_tests_get();
  if (tested) audit(AUDIT_PACKAGE_NOT_AFFECTED, tested);
  else audit(AUDIT_PACKAGE_NOT_INSTALLED, "wordpress");
}